Description

Currently the DCX and ISO metadata formats are being rendered in the view service using solr output rather than a transform of the

XML metadata. This results in a less than satisfactory rendering.

Goal of this story is to implement XSLT for metadata formats that currently are relying on the solr only rendering.

History

#1 - 2016-06-22 16:52 - Dave Vieglais

- Target version changed from CCI-2.3.0 to CCI-2.4.0

#2 - 2016-10-07 16:36 - Matthew Jones

Updated details from Dave Vieglais:

There’s actually two aspects of the search UI that need to be addressed, the second got boosted in priority today and it relates to the rendering of ISO

metadata in the search UI, particularly that provided by the NCEI member node.

Currently the ISO TC 211 metadata is rendered from the content pulled form the search index which is only a small portion of the actual metadata.

This rendering is very generic and really does not provide a satisfactory user experience.

In order to improve the rendering, it will be necessary to put together some XSLT that basically puts the ISO metadata into a form that aligns with that

expected in the search UI.

I believe Lauren, Ben and Chris have the most experience with the requirements there. Perhaps a good start might be to check with Lauren on what

the expected form of the rendered content is and get familiarized with the how the UI gets the content rendered.

As far as priorities are concerned, both are pretty high though I suspect there’s a lot more work involved in the NCEI transforms. It may be prudent to

focus on the service registration pieces first.

I will collate the feedback we’ve gotten so far from NCEI and try and forward early next week. In general terms though, we are talking about basically

any of the NCEI content which is of format type "http://www.isotc211.org/2005/gmd-noaa”. This random selection gives an indication of how many of

the results appear:

https://search.dataone.org/#view/{A3B11DED-06F1-4ED2-A834-5714A6837E32}
http://www.isotc211.org/2005/gmd-noaa%E2%80%9D
https://search.dataone.org/#view/%7BA3B11DED-06F1-4ED2-A834-5714A6837E32%7D


#3 - 2016-10-07 16:37 - Matthew Jones

I think it would be great if this also was able to render the other ISO formatId, http://www.isotc211.org/2005/gmd, as the two schemas are essentially

identical but vary in a few places.  NRDC has test documents for that, such as this one: 

https://search.dataone.org/#view/NRDC_NCCP_SCIENCE_METADATA_Spring4_Met_OneMin_2014_08_4239_3531--v1.xml

That one is ind of minimal, so it might be good to look through the whole list:

 https://cn.dataone.org/cn/v2/query/solr/?q=formatId:http\://www.isotc211.org/2005/gmd&fl=identifier,title,authoritativeMN

#4 - 2016-10-24 12:35 - Dave Vieglais

- Assignee changed from Dave Vieglais to Bryce Mecum

#5 - 2016-10-24 12:35 - Dave Vieglais

- Target version changed from CCI-2.4.0 to CCI-2.3.1

#6 - 2017-01-24 20:50 - Bryce Mecum

I forgot to update this ticket when I made progress (though I did mention it on Slack). My latest work is live on cn-stage. An example rendering can be

found at https://search-stage.test.dataone.org/#view/urn:uuid:f6b8d16b-dc21-4a3b-b6d1-a54940229602

Some notes which are really questions:

How much of the standard does this stylesheet need to cover? aka how do I know I'm done?

We have Objects that have the normal GMD format ID but these NCEI docs are registered with their own format ID. I assume we want to support

rendering both but I'm not familiar with how the NOAA variant works. Some guidance here would be appreciated.

#7 - 2017-02-27 18:14 - Dave Vieglais

- Target version changed from CCI-2.3.1 to CCI-2.4.0

#8 - 2018-01-17 19:20 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

#9 - 2018-01-17 19:20 - Dave Vieglais

- Sprint set to Infrastructure backlog

#10 - 2018-05-17 14:18 - Bryce Mecum

Hey Dave, I think we can close this one as this is done. What do you think?
